/*
 *  Copyright (C) 2012 Joos Kiener
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.

 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.bitbucket.kienerj.moleculedatabaseframework.io;

import lombok.Getter;

/**
 * <p>
 * When importing an SD-File with parameter <code>abortOnError</code> set to false
 * this class records any entry in the SD-File that could not be imported including
 * the reason for the failure.
 * </p>
 * 
 * @author Joos Kiener <Joos.Kiener@gmail.com>
 */
public class CompoundImportError {

    @Getter
    private String structureData;
    @Getter
    private String errorMessage;
    @Getter
    private Long compoundId;

    public CompoundImportError(String errorMessage, String structureData){

        this.structureData = structureData;
        this.errorMessage = errorMessage;
    }

    public CompoundImportError(String errorMessage, String moleculeData, Long compoundId){

        this.structureData = moleculeData;
        this.errorMessage = errorMessage;
        this.compoundId = compoundId;
    }
}
