/*
 * Copyright (C) 2013 Joos Kiener <Joos.Kiener@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.bitbucket.kienerj.moleculedatabaseframework.security;

import org.bitbucket.kienerj.moleculedatabaseframework.MoleculeDatabaseFrameworkException;

/**
 * Indicates that <code>DefaultPermissionEvalutors permissionNameToPermissionMap</code>
 * is missing an entry for a permission key it was evaluating.
 *
 * @author Joos Kiener <Joos.Kiener@gmail.com>
 */
public class PermissionNotDefinedException extends MoleculeDatabaseFrameworkException{

    public PermissionNotDefinedException(String message) {
        super(message);
    }
}
